DU(1)

BEZEICHNUNG
du - gibt den Platzverbrauch von Dateien an

ÜBERSICHT
du [OPTION]… [DATEI]…
du [OPTION]… --files0-from=F

BESCHREIBUNG

Gibt den Geräteplatzverbrauch jeder DATEI an, rekursiv für Verzeichnisse.

Die zwingend erforderlichen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-0, --null
    Jede Ausgabezeile mit einem Nullbyte statt des Zeilenumbruchs abschließen

-a, --all
    Daten für jede Datei ausgeben, nicht nur für Verzeichnisse

-A, --apparent-size
    Die scheinbare Größe statt des Geräteplatzverbrauchs ausgeben. Sie ist meist kleiner als der belegte Platz, kann aber auch durch Löcher in speziellen Dateien (»sparse files«), interne Fragmentierung, indirekte Blöcke und so weiter größer sein.

-B, --block-size=GRÖSSE
    Größen mit GRÖSSE skalieren, bevor sie ausgegeben werden. Siehe das Format von GRÖSSE unten. Beispielsweise gibt »-BM« Größen in Einheiten von 1.048.576 Byte aus.

-b, --bytes
    entspricht »--apparent-size --block-size=1'«

-c, --total
    Gesamtsumme erstellen

-D, --dereference-args
    Löst nur symbolische Verknüpfungen auf, die auf der Befehlszeile angegeben wurden.

-d, --max-depth=N
    Summe für ein Verzeichnis ausgeben (oder einer Datei, mit --all) nur, wenn es N oder weniger Ebenen unterhalb des Befehlszeilenarguments ist. --max-depth=0 ist dasselbe wie --summarize.

--files0-from=D
    Berechnet den gesamten Geräteplatzverbrauch der in der Datei D angegebenen Dateien (mit Nullbytes abgeschlossene Dateinamen). Ist D »-«, so wird aus der Standardeingabe gelesen.

-H  entspricht --dereference-args (-D)

-h, --human-readable
    Größen in menschenlesbarem Format ausgeben (z. B. 1K 234M 2G)

--inodes
    Platzverbrauch anhand von Inodes statt anhand von Blöcken anzeigen

-k  Wie --block-size=1K

-L, --dereference
    alle symbolischen Verknüpfungen auflösen

-l, --count-links
    Größen mehrfach zählen, wenn sie durch harte Verknüpfungen verbunden sind.

-m  wie --block-size=1M

-P, --no-dereference
    symbolischen Verknüpfungen nicht folgen (Voreinstellung)

-S, --separate-dirs
    Bei Verzeichnissen die Größe von Unterverzeichnissen nicht mitzählen

--si
    wie -h, aber mit Potenzen von 1000 statt 1024

-s, --summarize
    nur eine Summe für jedes Argument anzeigen

-t, --threshold=GRÖSSE
    Einträge kleiner als GRÖSSE ignorieren (falls positiv) oder Einträge größer als GRÖSSE ignorieren (falls negativ)

--time
    Zeitpunkt der letzten Änderung einer Datei im Verzeichnis oder einem seiner Unterverzeichnisse anzeigen

--time=WORT
    Zeit als WORT anstelle der Änderungszeit anzeigen: atime, access, use, ctime oder status

--time-style=STIL
    Zeit-/Datumsformat mit -time; siehe ZEITSTIL unten

-X, --exclude-from=DATEI
    Dateien ausschließen, die auf irgendein Muster in DATEI passen

--exclude=MUSTER
    Dateien ausschließen, die auf MUSTER passen

-x, --one-file-system
    Verzeichnisse auf anderen Dateisystemen überspringen

--help
    Zeigt Hilfeinformationen an und beendet das Programm.

--version
    Gibt Versionsinformationen aus und beendet das Programm.

Die Einheit für die angezeigten Größen ist die erste verfügbare Angabe aus der Option --block-size und den Umgebungsvariablen DU_BLOCK_SIZE, BLOCK_SIZE und BLOCKSIZE. Ansonsten wird als Einheit standardmäßig 1024 Byte verwendet (oder 512, wenn POSIXLY_CORRECT gesetzt ist).

GRÖSSE ist eine Ganzzahl und optionale Einheit (Beispiel: 10K ist 10*1024). Einheiten sind K, M, G, T, P, E, Z, Y, R, Q (Potenzen von 1024) oder KB, MB, … (Potenzen von 1000). Es können auch binäre Präfixe verwandt werden: KiB=K, MiB=M und so weiter.

Das Argument STIL von --time-style kann full-iso, long-iso, iso oder +FORMAT sein. FORMAT wird wie bei date(1) interpretiert. Auch setzt die Umgebungsvariable TIME_STYLE den zu verwendenden Standardstil.

MUSTER
MUSTER ist ein Shell-Muster (kein regulärer Ausdruck). Das Muster ? ersetzt ein beliebiges Zeichen, wohingegen * für eine beliebige Zeichenkette (aus keinem, einem oder mehreren Zeichen) steht. Beispielsweise steht *.o für alle Dateien, deren Namen mit .o enden. Daher wird der Befehl

    du --exclude='*.o'

alle Dateien und Unterverzeichnisse überspringen, die auf .o enden (einschließlich der Datei .o).

AUTOR
Geschrieben von Torbjörn Granlund, David MacKenzie, Paul Eggert und Jim Meyering.

FEHLER MELDEN
Melden Sie Fehler (auf Englisch) an bug-coreutils@gnu.org.
Website der GNU Coreutils: https://www.gnu.org/software/coreutils/
Allgemeine Hilfe zur Benutzung von GNU-Software: https://www.gnu.org/gethelp/
Melden Sie Fehler in der Programmübersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

SIEHE AUCH
Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/du>
oder lokal verfügbar mit: info '(coreutils) du invocation'

Paketiert durch Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
Lizenz GPLv3+: GNU GPL Version 3 oder neuer https://gnu.org/licenses/gpl.html
Dies ist freie Software: Sie können sie verändern und weitergeben.
Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Martin Eberhard Schauer <Martin.E.Schauer@gmx.de>, Dr. Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).